.\" $NetBSD: mmcformat.8,v 1.3 2008/11/04 19:43:04 wiz Exp $
.\"
.\" Copyright (c) 2008 Reinoud Zandijk
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in
.\"    the documentation and/or other materials provided with the
.\"    distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR(S) ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR(S) BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
.\" GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
.\" IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
.\" OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
.\" IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd May 9, 2008
.Dt MMCFORMAT 8
.Os
.Sh NAME
.Nm mmcformat
.Nd format optical media
.Sh SYNOPSIS
.Nm
.Op Fl BDFGHhIMOpRrSsw
.Op Fl b Ar blockingnr
.Op Fl c Ar cert-num
.\" .Op X format is not implemented yet
.Ar special
.Sh DESCRIPTION
The
.Nm
utility formats optical media conforming to the MMC standard.
This includes CD, DVD, and Blu-Ray (BD) media.
.Pp
The options are as follows:
.Bl -tag -width XbXblockingnrXX
.It Fl B
Blank media when possible before formatting it.
.It Fl b Ar blockingnr
Explicitly select packet size in sectors
.Pq for CD-RW only .
It is not recommended to change this from its default of 32.
.It Fl c Ar cert-num
Certify media for DVD-RAM / DV-RE.
The argument cert-num specifies:
.Bl -tag -offset indent
.It 0
no certification
.It 1
full certification
.It 2
quick certification
.El
.It Fl D
Debug mode.
Print all SCSI/ATAPI command errors.
.It Fl F
Format media.
.It Fl G
Grow last CD-RW/DVD-RW session.
.It Fl H
Show help and print formatting choices for the inserted media.
.It Fl h
Show help and print formatting choices for the inserted media.
.It Fl I
Show help and print formatting choices for the inserted media.
.It Fl M
Select MRW (Mount Rainier) error correcting background format.
.It Fl O
Old style CD-RW formatting; recommended for CD-RW.
.It Fl p
Explicitly set packet format.
.It Fl R
Restart previously stopped MCD-MRW or DVD+RW background format.
.It Fl r
Recompile defect list for DVD-RAM.
.It Fl S
Grow spare space DVD-RAM / BD-RE.
.It Fl s
Format DVD+MRW / BD-RE with extra spare space.
.It Fl w
Wait until completion of background format.
.El
.Sh NOTES
Due to the enormous varieties in optical media,
.Nm
is made as generic as possible.
This can result in confusion.
.Sh EXAMPLES
.Dl Ic mmcformat -B -O /dev/rcd0d
.Pp
Blanks and then formats a CD-RW disc using the
.Dq old style
format command.
It is recommended to use this
.Dq old style
command unless your drive reports that it's not supported; in that case, resort
to the default
.Fl F .
Note that a CD-RW disc can be reformatted without being blanked.
Blanking switches between sequential and fixed packet writing by
erasing the disc.
This can also help to revive old discs.
.Pp
.Dl Ic mmcformat -F -M /dev/rcd0d
.Pp
Format a CD-RW or a DVD+RW to use MRW (Mount Rainier).
This format tries to hide media flaws as much as possible by
relocation.
.Sh SEE ALSO
.Xr scsictl 8
.Sh HISTORY
The
.Nm
command first appeared in
.Nx 5.0 .
.Sh AUTHORS
.An Reinoud Zandijk Aq reinoud@NetBSD.org
.Sh BUGS
.Nm
could be merged with
.Xr scsictl 8
but that tool is very hard disk oriented.
